> ## Documentation Index
> Fetch the complete documentation index at: https://docs.penciled.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Calls

> Gets a list of calls



## OpenAPI

````yaml GET /v1/call/list
openapi: 3.0.1
info:
  title: Penciled API
  description: Penciled - Generative Voice AI Agents for Healthcare
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.penciled.com
security:
  - bearerAuth: []
paths:
  /v1/call/list:
    get:
      description: Gets a list of calls
      parameters:
        - name: agent_ids
          in: query
          description: The ID of the agent that made the call
          required: false
          schema:
            type: array
            items:
              type: string
            example:
              - 991b6987-297d-4c94-b700-ab6e51eef955
              - 0a831269-388d-477b-a8df-a8e69eb613c0
              - 0a831269-388d-477b-a8df-a8e69eb613c0
        - name: last_evaluated_key
          in: query
          description: The last evaluated key for pagination
          required: false
          schema:
            type: object
            properties:
              started_at:
                type: string
                format: date-time
                example: '2024-07-15T18:46:15.932Z'
              call_id:
                type: string
                example: 082a358a-c5dc-4b33-8253-45c3f169d2e5
              organization_id:
                type: string
                example: 913585df-56a2-449a-b150-e0e3dfe80ed0
        - name: page_size
          in: query
          description: The number of calls per page (optional, default is 20, max is 50)
          required: false
          schema:
            type: integer
            default: 20
            maximum: 50
      responses:
        '200':
          description: Call response
          content:
            application/json:
              schema:
                type: object
                properties:
                  calls:
                    type: array
                    items:
                      $ref: '#/components/schemas/Call'
                  lastEvaluatedKey:
                    type: object
                    additionalProperties:
                      type: string
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Call:
      type: object
      properties:
        call_id:
          type: string
        agent_id:
          type: string
        outcome:
          type: string
          enum:
            - confirmed
            - unconfirmed
            - unknown
            - requested_callback
        status:
          type: string
          enum:
            - calling
            - completed
            - error
            - voicemail
        outcome_justification:
          type: string
        appointment_date:
          type: string
          format: date-time
        summary:
          type: string
        started_at:
          type: string
          format: date-time
        ended_at:
          type: string
          format: date-time
        call_length:
          type: string
        recordingWav:
          type: string
        transcript:
          type: string
      required:
        - call_id
        - agent_id
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````